# $Revision: 1.222.2.1 $, $Date: 2005/04/21 08:14:07 $
#
# Conditional build:
%bcond_without	ldap	# without LDAP map module
%bcond_without	mysql	# without MySQL map module
%bcond_without	pgsql	# without PostgreSQL map module
%bcond_without	sasl	# without SMTP AUTH support
%bcond_without	ssl	# without SSL/TLS support
%bcond_without	cdb	# without cdb map support
%bcond_with	vda	# with VDA patch
#%bcond_with	polish	# with double English+Polish messages
#
# TODO:
#	- check/fix 'polish' bcond
#
%define		_tls_ipv6_ver	1.26-pf-2.1.5
Summary:	Postfix Mail Transport Agent
Summary(cs):	Postfix - program pro pepravu poty (MTA)
Summary(es):	Postfix - Un MTA (Mail Transport Agent) de alto desempeo
Summary(fr):	Agent de transport de courrier Postfix
Summary(pl):	Serwer SMTP Postfix
Summary(pt_BR):	Postfix - Um MTA (Mail Transport Agent) de alto desempenho
Summary(sk):	Agent prenosu poty Postfix
Name:		postfix
Version:	2.1.5
Release:	1.1
Epoch:		2
Group:		Networking/Daemons
License:	distributable
Source0:	ftp://ftp.porcupine.org/mirrors/postfix-release/official/%{name}-%{version}.tar.gz
# Source0-md5:	bcaa4aac80595d04c60c72844203a04d
Source1:	%{name}.aliases
Source2:	%{name}.cron
Source3:	%{name}.init
Source5:	%{name}.sysconfig
Source6:	%{name}.sasl
Source7:	ftp://ftp.corpit.ru/pub/postfix/%{name}-dict_cdb-1.1.11-20021104.tar.gz
# Source7-md5:	5731b5081725f4688dc6fae119d617e4
Source8:	ftp://ftp.stack.nl/pub/postfix/tls+ipv6/1.26/tls+ipv6-%{_tls_ipv6_ver}.patch.gz
# Source8-md5:	3d3bbabe5c17d5d0809c698ad1df1e64
Source9:	%{name}.pamd
Source10:	http://web.onda.com.br/nadal/postfix/VDA/%{name}-%{version}-trash.patch.gz
# Source10-md5:	868209c12cf214566130b9c8b968cfed
Patch0:		%{name}-config.patch
Patch1:		%{name}-conf_msg.patch
Patch2:		%{name}-dynamicmaps.patch
Patch4:		%{name}-master.cf_cyrus.patch
#Patch5:	%{name}-pl.patch
Patch6:		%{name}-cdb_man.patch
Patch8:		%{name}-kill_warnings.patch
Patch9:		%{name}-ipv6-kill_warnings.patch
URL:		http://www.postfix.org/
BuildRequires:	awk
%{?with_sasl:BuildRequires:	cyrus-sasl-devel}
BuildRequires:	db3-devel
BuildRequires:	grep
BuildRequires:	libinet6 >= 0.20030228-1
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.0.0}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.6m}
BuildRequires:	pcre-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
%{?with_cdb:BuildRequires:	tinycdb-devel}
PreReq:		rc-scripts
PreReq:		sed
BuildRequires:	rpmbuild(macros) >= 1.127
Requires(post):	/bin/hostname
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(post,postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires:	diffutils
Requires:	findutils
%{?with_cdb:Requires:tinycdb}
Provides:	group(postfix)
Provides:	smtpdaemon
Provides:	user(postfix)
Obsoletes:	courier
Obsoletes:	exim
Obsoletes:	masqmail
Obsoletes:	nullmailer
Obsoletes:	omta
Obsoletes:	qmail
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	smtpdaemon
Obsoletes:	ssmtp
Obsoletes:	zmailer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Postfix is attempt to provide an alternative to the widely-used
Sendmail program. Postfix attempts to be fast, easy to administer, and
hopefully secure, while at the same time being sendmail compatible
enough to not upset your users. This version has IPv6 support.

%description -l pt_BR
O Postfix  uma alternativa para o mundialmente utilizado sendmail. Se
voc deseja um servidor SMTP *rpido*, instale este pacote.

%description -l es
Postfix es una alternativa para el mundialmente utilizado sendmail. Si
desea tener un servidor SMTP *rpido*, debe instalar este paquete.

%description -l fr
Postfix (voir http://www.postfix.org/) se veut une alternative 
sendmail, responsable de l'acheminement de 70% des courriers
lectroniques sur Internet. IBM en a suppotr le dveloppement, mais
ne contrle pas son volution. Le but est d'installer Postfix sur le
plus grand nombre de systmes possible. Dans cette optique, il a t
crit pour tre totalement sous le contrle de l'utilisateur.

%description -l it
Postfix (http://www.postfix.org/) e' un'alternativa al programma
sendmail utilizzato per la gestione del 70 per cento della posta
Internet.

Seppur IBM supporti lo sviluppo di Postfix, non controlla la sua
evoluzione.

Consultate la pagine web http://www.moongroup.com/how-to.phtml nella
quale troverete le indicazioni per una corretta installazione e
configurazione di questo programma.

%description -l pl
Postfix jest prb dostarczenia alternatywnego MTA w stosunku do
szeroko uywanego sendmaila. Postfix w zamierzeniu ma by szybki,
atwy w administrowaniu, bezpieczny oraz ma by na tyle kompatybilny z
sendmailem by nie denerwowa Twoich uytkownikw. Ta wersja wspiera IPv6.

%description -l pt_BR
O Postfix  uma alternativa para o mundialmente utilizado sendmail. Se
voc deseja um servidor SMTP *rpido*, instale este pacote.

%description -l sk
Postfix (pozri http://www.postfix.org/) m za cie by alternatvou k
iroko rozrenmu programu sendmail, zodpovednmu za 70% vetkej
elektronickej poty doruenej na Internete.

Aj ke IBM podporovala vvoj Postfixu, zdriava sa vplyvu na jeho
vvoj. Cieom je intalcia Postfixu na o najvom pote systmov.
Do tohoto momentu je softvr poskytovan bez ovplyvovania, take sa
me vyvja poda jeho pouvateov.

Urite si pretajte http://www.moongroup.com/how-to.phtml, kde s
popsan kroky potrebn pred a po intalcii Postfixu.

%package devel
Summary:	Postfix loadable modules development package
Summary(pl):	Pakiet dla programistw adowanych moduw do postfiksa
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files to build additional map types for Postfix.

%description devel -l pl
Pliki nagwkowe do tworzenia dodatkowych typw map dla Postfiksa.

%package dict-ldap
Summary:	LDAP map support for Postfix
Summary(pl):	Obsuga map LDAP dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	openldap >= 2.0.0

%description dict-ldap
This package provides support for LDAP maps in Postfix.

%description dict-ldap -l pl
Ten pakiet dodaje obsug map LDAP do Postfiksa.

%package dict-mysql
Summary:	MySQL map support for Postfix
Summary(pl):	Obsuga map MySQL dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-mysql
This package provides support for MySQL maps in Postfix.

%description dict-mysql -l pl
Ten pakiet dodaje obsug map MySQL do Postfiksa.

%package dict-pcre
Summary:	PCRE map support for Postfix
Summary(pl):	Obsuga map PCRE dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-pcre
This package provides support for PCRE maps in Postfix.

%description dict-pcre -l pl
Ten pakiet dodaje obsug map PCRE do Postfiksa.

%package dict-pgsql
Summary:	PostgreSQL map support for Postfix
Summary(pl):	Obsuga map PostgreSQL dla Postfiksa
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-pgsql
This package provides support for PostgreSQL maps in Postfix.

%description dict-pgsql -l pl
Ten pakiet dodaje obsug map PostgreSQL do Postfiksa.

%prep
%setup -q %{?with_cdb:-a7}
zcat %{SOURCE8} | patch -p1 -s
%{?with_vda:zcat %{SOURCE10} | patch -p1 -s}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
#%{?with_polish:%patch5 -p1}
%{?with_cdb:%patch6 -p1}
%patch8 -p1
%patch9 -p1
%{?with_cdb:sh dict_cdb.sh}

%build
%{__make} -f Makefile.init makefiles
%{__make} tidy
%{__make} DEBUG="" OPT="%{rpmcflags}" \
	%{!?with_ldap:LDAPSO=""} \
	%{!?with_mysql:MYSQLSO=""} \
	%{!?with_pgsql:PGSQLSO=""} \
	CCARGS="%{?with_ldap:-DHAS_LDAP} -DHAS_PCRE %{?with_sasl:-DUSE_SASL_AUTH -I/usr/include/sasl} %{?with_mysql:-DHAS_MYSQL -I/usr/include/mysql} %{?with_pgsql:-DHAS_PGSQL -I/usr/include/postgresql} %{?with_ssl:-DHAS_SSL -I/usr/include/openssl} -DMAX_DYNAMIC_MAPS %{?with_cdb:-DHAS_CDB}" \
	AUXLIBS="-ldb -lresolv %{?with_sasl:-lsasl} %{?with_ssl:-lssl -lcrypto} %{?with_cdb:-lcdb}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.daily,rc.d/init.d,sysconfig,pam.d} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{mail,sasl} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/postfix,/usr/lib}\
	$RPM_BUILD_ROOT{%{_includedir}/postfix,%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT%{_var}/spool/postfix/{active,corrupt,deferred,maildrop,private,saved,bounce,defer,incoming,pid,public} \
	pfixtls

rm -f {html,man}/Makefile.in conf/{LICENSE,main.cf.default}

install -d sample-conf; mv -f conf/sample* sample-conf || :

install bin/* $RPM_BUILD_ROOT%{_sbindir}
install libexec/* $RPM_BUILD_ROOT%{_libdir}/postfix
install conf/* $RPM_BUILD_ROOT%{_sysconfdir}/mail
sed -e's,^daemon_directory = .*,daemon_directory = %{_libdir}/postfix,' \
	conf/main.cf > $RPM_BUILD_ROOT%{_sysconfdir}/mail/main.cf

for f in dns global master util ; do
	install lib/lib${f}.a $RPM_BUILD_ROOT%{_libdir}/libpostfix-${f}.so.1
	ln -sf lib${f}.so.1 $RPM_BUILD_ROOT%{_libdir}/libpostfix-${f}.so
done
install lib/dict*.so $RPM_BUILD_ROOT%{_libdir}/postfix
install include/*.h $RPM_BUILD_ROOT%{_includedir}/postfix

(cd man; tar cf - .) | (cd $RPM_BUILD_ROOT%{_mandir}; tar xf -)

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mail/aliases
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/postfix
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/postfix
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/sasl/smtpd.conf
install %{SOURCE9} $RPM_BUILD_ROOT/etc/pam.d/smtp
install auxiliary/rmail/rmail $RPM_BUILD_ROOT%{_bindir}/rmail

ln -sf /usr/sbin/sendmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf /usr/sbin/sendmail $RPM_BUILD_ROOT%{_bindir}/newaliases
ln -sf /usr/sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail

touch $RPM_BUILD_ROOT%{_sysconfdir}/mail/\
	{aliases,access,canonical,relocated,transport,virtual}{,.db}

> $RPM_BUILD_ROOT/var/spool/postfix/.nofinger

rm -rf $RPM_BUILD_ROOT/etc/mail/makedefs.out $RPM_BUILD_ROOT/usr/share/man/cat*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`/usr/bin/getgid postfix`" ]; then
	if [ "`getgid postfix`" != "62" ]; then
		echo "Error: group postfix doesn't have gid=62. Correct this before installing postfix." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 62 -r -f postfix
fi
if [ -n "`/usr/bin/getgid maildrop`" ]; then
	if [ "`/usr/bin/getgid maildrop`" != "63" ]; then
		echo "Error: group maildrop doesn't have gid=63. Correct this before installing postfix." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 63 maildrop
fi
if [ -n "`/bin/id -u postfix 2>/dev/null`" ]; then
	if [ "`/bin/id -u postfix`" != "62" ]; then
		echo "Error: user postfix doesn't have uid=62. Correct this before installing postfix." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 62 -d /var/spool/postfix -s /bin/false -c "Postfix User" -g postfix postfix 1>&2
fi

%post
/sbin/ldconfig
if ! grep -q "^postmaster:" /etc/mail/aliases; then
	echo "Adding Entry for postmaster in /etc/mail/aliases" >&2
	echo "postmaster:	root" >>/etc/mail/aliases
fi
if [ "$1" = "1" ]; then
# only on installation, not upgrade
	if ! grep -q "^myhostname" /etc/mail/main.cf; then
		postconf -e myhostname=`/bin/hostname -f`
	fi
else
	postfix upgrade-configuration
fi

newaliases
/sbin/chkconfig --add postfix
if [ -f /var/lock/subsys/postfix ]; then
	/etc/rc.d/init.d/postfix restart >&2
else
	echo "Run \"/etc/rc.d/init.d/postfix start\" to start postfix daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/postfix ]; then
		/etc/rc.d/init.d/postfix stop >&2
	fi
	/sbin/chkconfig --del postfix
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove maildrop
	%userremove postfix
	%groupremove postfix
fi

%triggerpostun -- postfix < 1:1.1.2
umask 022
sed -e 's/^\(pickup[ 	]\+fifo[ 	]\+[^ 	]\+[ 	]\+\)[^ 	]\+\([ 	]\)/\1-\2/;
s/^\(cleanup[ 	]\+unix[ 	]\+\)[^ 	]\+\([ 	]\)/\1n\2/' /etc/mail/master.cf \
	> /etc/mail/master.cf.rpmtmp
mv -f /etc/mail/master.cf.rpmtmp /etc/mail/master.cf

%files
%defattr(644,root,root,755)
%doc html *README COMPATIBILITY HISTORY LICENSE RELEASE_NOTES
%doc README_FILES/*README
%doc sample-conf
%doc examples/smtpd-policy
%doc pfixtls
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/access
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/aliases
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/canonical
#%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/pcre_table
#%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/regexp_table
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/relocated
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/transport
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/virtual
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/header_checks
#%ghost %{_sysconfdir}/mail/*.db
%dir %{_sysconfdir}/mail
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/dynamicmaps.cf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/main.cf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/master.cf
%attr(755,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/postfix-script
%attr(755,root,root) %{_sysconfdir}/mail/post-install
%{_sysconfdir}/mail/postfix-files
%attr(740,root,root) /etc/cron.daily/postfix
%attr(754,root,root) /etc/rc.d/init.d/postfix
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/postfix
%config(noreplace) %verify(not md5 size mtime) /etc/pam.d/smtp
%{?with_sasl:%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sasl/smtpd.conf}
%attr(755,root,root) %{_libdir}/libpostfix-*.so.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/s*
%attr(755,root,root) %{_sbindir}/postfix
%attr(755,root,root) %{_sbindir}/postalias
%attr(755,root,root) %{_sbindir}/postkick
%attr(755,root,root) %{_sbindir}/postl*
%attr(755,root,root) %{_sbindir}/postc*
%attr(755,root,root) %{_sbindir}/postmap
%attr(2755,root,maildrop) %{_sbindir}/postqueue
%attr(755,root,root) %{_sbindir}/postsuper
%attr(2755,root,maildrop) %{_sbindir}/postdrop
%attr(755,root,root) %{_sbindir}/qmqp-source
%attr(755,root,root) /usr/lib/sendmail
%dir %{_libdir}/postfix
%attr(755,root,root) %{_libdir}/postfix/[!d]*
%attr(755,root,root) %dir %{_var}/spool/postfix
%attr(700,postfix,root) %dir %{_var}/spool/postfix/active
%attr(700,postfix,root) %dir %{_var}/spool/postfix/bounce
%attr(700,postfix,root) %dir %{_var}/spool/postfix/corrupt
%attr(700,postfix,root) %dir %{_var}/spool/postfix/defer
%attr(700,postfix,root) %dir %{_var}/spool/postfix/deferred
%attr(700,postfix,root) %dir %{_var}/spool/postfix/incoming
%attr(1730,postfix,maildrop) %dir %{_var}/spool/postfix/maildrop
%attr(755,postfix,root) %dir %{_var}/spool/postfix/pid
%attr(700,postfix,root) %dir %{_var}/spool/postfix/private
%attr(710,postfix,maildrop) %dir %{_var}/spool/postfix/public
%attr(700,postfix,root) %dir %{_var}/spool/postfix/saved
%attr(644,postfix,root) %{_var}/spool/postfix/.nofinger
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpostfix-*.so
%{_includedir}/postfix

%if %{with ldap}
%files dict-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_ldap.so
%endif

%if %{with mysql}
%files dict-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_mysql.so
%endif

%files dict-pcre
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_pcre.so

%if %{with pgsql}
%files dict-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/dict_pgsql.so
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postfix.spec,v $
Revision 1.222.2.1  2005/04/21 08:14:07  hawk
- adjusted for Ra

Revision 1.222  2005/02/21 21:13:48  ankry
- update tls+ipv6 patch

Revision 1.221  2005/02/19 14:12:02  ankry
- rel. 3

Revision 1.220  2005/01/14 20:01:45  qboosh
- unified perms format

Revision 1.219  2004/12/28 15:54:21  zergin
- added bacond_with vda to compile with VDA (virtual delivery agent) patch
  support. default to off because it changes to much in postfix virtual
  behavior.

Revision 1.218  2004/11/19 15:30:00  baggins
- release 2
- set unknown_address_reject_code to 550 - default 450 in this case is stupid

Revision 1.217  2004/10/12 12:35:24  ankry
- %%groupremove/%%userremove support, some standarization

Revision 1.216  2004/10/07 19:35:44  blues
- added smtp pam file

Revision 1.215  2004/09/24 12:32:26  eothane
- up to 2.1.5; not tested

Revision 1.214  2004/07/23 20:33:26  jajcus
- Version: 2.1.4

Revision 1.213  2004/07/23 07:24:11  jajcus
- merge from POSTFIX_2_1 branch

Revision 1.212.2.5  2004/06/23 06:57:18  jajcus
- uninstalled files removal fixed, more documentation added

Revision 1.212.2.4  2004/06/23 06:17:18  jajcus
- Builds and seems to work. Needs testing.
- unpackaged files removed in %install, not installed removed from %files
- upgrade configuration on postfix upgrade

Revision 1.212.2.3  2004/06/22 13:14:10  jajcus
- most patches updated to postfix 2.1.3
- pgsql and ns-mx-acl patch removed as the functionality is included in postfix 2.1.x
- polish bcond/patch commented-out (AFAIR it didn't work anyway), added to TODO list
- dict_ldap patch removed - postfix 2.1.3 includes improved LDAP support

Revision 1.212.2.2  2004/06/22 12:20:26  jajcus
- tls+ipv6 patch MD5 sum updated

Revision 1.212.2.1  2004/06/22 12:18:04  jajcus
- starting upgrade to 2.1.x (which includes many mail filtering improvements) NOT FINISHED YET\!

Revision 1.212  2004/05/14 13:20:10  qboosh
- strict internal deps

Revision 1.211  2004/04/27 08:35:59  orzech
- up to 2.0.20

Revision 1.210  2004/04/10 19:34:50  pius
- backported ldap_dict from 2.1RC1 snapshot so that it could work with
  openldap 2.2; it also inroduces ldap lookups over ssl/tls and support
  for multiple servers
- BR: openldap-devel >= 2.2.0
- release 4

Revision 1.209  2004/04/02 21:18:41  averne
- rel3 for rebuild with new openldap

Revision 1.208  2004/03/18 10:55:44  eothane
- corrected bcond description (with->without)

Revision 1.207  2004/03/17 20:03:15  eothane
- updated TLS+IPv6 patch; BR: openssl-devel 0.9.7d
- release 2

Revision 1.206  2004/03/15 00:41:32  eothane
- up to 2.0.19, TLS+IPv6 v1.21
- builds

Revision 1.205  2004/03/13 21:42:53  orzech
- rel. 2, STBR

Revision 1.204  2004/02/25 21:49:02  ankry
- cosmetics

Revision 1.203  2004/02/25 21:37:49  blues
- obsoletes ssmtp

Revision 1.202  2004/02/25 21:33:03  blues
- obsoletes nullmailer

Revision 1.201  2004/02/24 20:54:06  blues
- obsoletes courier

Revision 1.200  2004/02/02 10:47:51  qboosh
- setup myhostname only on installation, not upgrade (fixes BTS#828)

Revision 1.199  2004/01/28 10:44:51  jajcus
- kill warnings caused by ipv6 patch (-ipv6-kill_warnings.patch)

Revision 1.198  2004/01/28 09:45:14  orzech
- md5

Revision 1.197  2004/01/28 09:32:04  orzech
- one more missing-in-action patch

Revision 1.196  2004/01/28 09:30:34  orzech
- new tls+ipv6 patch (1.21) seems broken

Revision 1.195  2004/01/28 09:12:51  orzech
- tls+ipv6 as Source, not patch

Revision 1.194  2004/01/28 08:42:35  orzech
- merged DEVEL
- with tinycdb by default
- rel. 1.2 (needs testing)

Revision 1.193.2.5  2004/01/23 13:33:02  orzech
- TODO and tls_ver gone

Revision 1.193.2.4  2004/01/23 12:33:57  eothane
- fixed %setup

Revision 1.193.2.3  2004/01/23 10:51:51  qboosh
- typo

Revision 1.193.2.2  2004/01/23 10:49:00  orzech
- typo

Revision 1.193.2.1  2004/01/23 10:40:18  orzech
- let's check what is new ipv6 patch
  ( http://www.ipnet6.org/postfix/ ) worth...
- rel. 1.1 - builds

Revision 1.193  2004/01/23 09:21:20  eothane
- updated to 2.0.18
- release 1

Revision 1.192  2004/01/11 12:19:32  eothane
- removed outdated entry from TODO list
- few cosmetics

Revision 1.191  2004/01/09 09:08:05  jajcus
- outdated entry removed from TODO

Revision 1.190  2004/01/08 08:35:05  jajcus
- removes some compiler warnings during postfix compilation 
  which may cause fatal runtime errors some architectures 
  (like AMD64) (-kill_warnings.patch)

Revision 1.189  2004/01/07 17:47:54  jajcus
- Release: 3
- fix daemon_directory in main.cf (it differs from standard on AMD64)
- compiler warnigs caused by -ipv6.patch killed. 
  This broken code caused crash on AMD64 (there still is more of such 
  broken code in other parts of postfix)

Revision 1.188  2004/01/02 17:54:52  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.187  2004/01/01 17:45:42  jajcus
- put sendmail link in /usr/lib, not in _libdir}

Revision 1.186  2003/12/01 13:31:24  qboosh
- fixed config patch: update paths in manuals too (fixes BTS#768)

Revision 1.185  2003/11/10 13:36:10  qboosh
- fixed nonsense in cdb options

Revision 1.184  2003/11/08 20:02:05  pius
- new bcond style

Revision 1.183  2003/11/08 19:53:57  pius
- updated to 2.0.16

Revision 1.182  2003/10/01 14:24:40  qboosh
- use standard glob exclusion

Revision 1.181  2003/10/01 07:29:23  qboosh
- fixed double "c" addition

Revision 1.180  2003/09/30 20:18:31  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.179  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.178  2003/09/25 00:21:49  domelu
- cosmetics

Revision 1.177  2003/09/20 11:42:45  eothane
- removed postfix 1.x changelog

Revision 1.176  2003/09/19 22:22:21  eothane
- damn, dang & shoot

Revision 1.175  2003/09/19 22:19:35  eothane
- updated pfixtls to pfixtls-0.8.16-2.0.15-0.9.7b
- added ``unofficial patch for Postfix 2.0 to black-list domain
    names by their mail server (such as Verisign's mail server
    for non-existent .com or .net domain names) or by their DNS servers.''

Revision 1.174  2003/09/07 12:11:52  eothane
- "Postfix 2.0.15 works around two Solaris bugs."

Revision 1.173  2003/09/06 08:12:59  erjot
- cosmetic

Revision 1.172  2003/08/25 20:16:19  orzech
- fixed patches

Revision 1.171  2003/08/21 10:08:49  orzech
- up to 2.0.14

Revision 1.170  2003/07/29 11:10:48  orzech
- release 2: updated tls patch

Revision 1.169  2003/06/30 21:23:38  orzech
- up to 2.0.13

Revision 1.168  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.167  2003/06/12 14:08:45  orzech
- up to 2.0.12 (major bugfixes)

Revision 1.166  2003/06/11 11:33:05  orzech
- up to 2.0.11
- fixed pl.patch name

Revision 1.165  2003/06/03 18:38:25  ppv
- changed pl patch to fixed one

Revision 1.164  2003/05/28 13:01:21  malekith
- massive attack: source-md5

Revision 1.163  2003/05/25 06:25:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.162  2003/05/22 20:48:09  orzech
- postfix up to 2.0.10 (code cleanup)
- pfixtls up to 0.8.13-2.0.9-0.9.7b

Revision 1.161  2003/04/18 22:05:09  orzech
- bughount finished - ipv6 patch fixed - now peer name/addr resolution works fine
- rel.1

Revision 1.160  2003/04/18 19:15:07  orzech
- up to 2.0.9

Revision 1.159  2003/04/16 15:46:41  misi3k
- updated to 2.0.8

Revision 1.158  2003/04/08 07:55:38  qboosh
- Source8 is not modified, so use URL in Source8 tag
- source list shouldn't be conditional

Revision 1.157  2003/04/08 07:32:58  ppv
- added postalias(1) and postmap(1) patch [info about cdb]

Revision 1.156  2003/04/07 19:44:28  ppv
- changed Source8 URL

Revision 1.155  2003/04/07 18:29:41  ppv
fixed building without cdb

Revision 1.154  2003/04/07 18:18:57  ppv
- dang!

Revision 1.153  2003/04/07 17:51:38  ppv
- added support for tinycdb's maps (enabled by trigger ``--with cdb'')
- IPv6 info in en and pl description is disabled ``--without ipv6''
- release 0.2

Revision 1.152  2003/03/20 18:09:36  orzech
- up to 2.0.7 (several bugs causing segfaults has been killed)

Revision 1.151  2003/03/08 18:52:02  migo
- tls version up to date

Revision 1.150  2003/03/06 06:48:34  orzech
- up to 2.0.6
- rel 0.1 - not tested

Revision 1.149  2003/03/04 08:42:46  orzech
- up to 2.0.5

Revision 1.148  2003/02/21 11:46:09  orzech
- up to 2.0.4
- rel 1
- BR:openssl >= 0.9.7a

Revision 1.147  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.146  2003/02/09 21:28:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.145  2003/01/29 12:06:17  qboosh
- merge from RA-branch: bconds cleanup, s/psql/pgsql/ (as in module name)

Revision 1.144  2003/01/27 23:28:30  adgor
- Added -I%{_includedir}/sasl to CCARGS

Revision 1.143  2003/01/27 02:39:18  orzech
- fixed(almost) ipv6 patch
- cosmetics
- TODO
- rel 0.9 - builds(RA), works

Revision 1.142  2003/01/27 00:59:07  orzech
- up to 2.0.3

Revision 1.141  2003/01/15 23:29:02  orzech
- started upgrade to 2.0.2, nfy

Revision 1.140  2002/12/31 11:44:06  wiget
- start 2.0.0.1 and update tls to  0.8.12-2.0.0.1-0.9.6h

Revision 1.139  2002/12/23 14:29:46  orzech
- postfix 2.0.0 is coming... but NFY
